// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: SendRequestMessage.proto

package ru.omnicomm.pegasus.messaging.common;

public final class SendRequestParser {
  private SendRequestParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public static final class SendRequest extends
      com.google.protobuf.GeneratedMessage {
    // Use SendRequest.newBuilder() to construct.
    private SendRequest() {
      initFields();
    }
    private SendRequest(boolean noInit) {}
    
    private static final SendRequest defaultInstance;
    public static SendRequest getDefaultInstance() {
      return defaultInstance;
    }
    
    public SendRequest getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.common.SendRequestParser.internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.common.SendRequestParser.internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_fieldAccessorTable;
    }
    
    public static final class Parameter extends
        com.google.protobuf.GeneratedMessage {
      // Use Parameter.newBuilder() to construct.
      private Parameter() {
        initFields();
      }
      private Parameter(boolean noInit) {}
      
      private static final Parameter defaultInstance;
      public static Parameter getDefaultInstance() {
        return defaultInstance;
      }
      
      public Parameter getDefaultInstanceForType() {
        return defaultInstance;
      }
      
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return ru.omnicomm.pegasus.messaging.common.SendRequestParser.internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_Parameter_descriptor;
      }
      
      protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return ru.omnicomm.pegasus.messaging.common.SendRequestParser.internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_Parameter_fieldAccessorTable;
      }
      
      public enum Type
          implements com.google.protobuf.ProtocolMessageEnum {
        INT(0, 1),
        DOUBLE(1, 2),
        STRING(2, 3),
        BOOLEAN(3, 4),
        ;
        
        
        public final int getNumber() { return value; }
        
        public static Type valueOf(int value) {
          switch (value) {
            case 1: return INT;
            case 2: return DOUBLE;
            case 3: return STRING;
            case 4: return BOOLEAN;
            default: return null;
          }
        }
        
        public static com.google.protobuf.Internal.EnumLiteMap<Type>
            internalGetValueMap() {
          return internalValueMap;
        }
        private static com.google.protobuf.Internal.EnumLiteMap<Type>
            internalValueMap =
              new com.google.protobuf.Internal.EnumLiteMap<Type>() {
                public Type findValueByNumber(int number) {
                  return Type.valueOf(number)
        ;        }
              };
        
        public final com.google.protobuf.Descriptors.EnumValueDescriptor
            getValueDescriptor() {
          return getDescriptor().getValues().get(index);
        }
        public final com.google.protobuf.Descriptors.EnumDescriptor
            getDescriptorForType() {
          return getDescriptor();
        }
        public static final com.google.protobuf.Descriptors.EnumDescriptor
            getDescriptor() {
          return ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.getDescriptor().getEnumTypes().get(0);
        }
        
        private static final Type[] VALUES = {
          INT, DOUBLE, STRING, BOOLEAN, 
        };
        public static Type valueOf(
            com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
          if (desc.getType() != getDescriptor()) {
            throw new java.lang.IllegalArgumentException(
              "EnumValueDescriptor is not for this type.");
          }
          return VALUES[desc.getIndex()];
        }
        private final int index;
        private final int value;
        private Type(int index, int value) {
          this.index = index;
          this.value = value;
        }
        
        static {
          ru.omnicomm.pegasus.messaging.common.SendRequestParser.getDescriptor();
        }
        
        // @@protoc_insertion_point(enum_scope:ru.omnicomm.pegasus.messaging.common.SendRequest.Parameter.Type)
      }
      
      // required .ru.omnicomm.pegasus.messaging.common.SendRequest.Parameter.Type type = 100;
      public static final int TYPE_FIELD_NUMBER = 100;
      private boolean hasType;
      private ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.Type type_;
      public boolean hasType() { return hasType; }
      public ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.Type getType() { return type_; }
      
      // required string key = 101;
      public static final int KEY_FIELD_NUMBER = 101;
      private boolean hasKey;
      private java.lang.String key_ = "";
      public boolean hasKey() { return hasKey; }
      public java.lang.String getKey() { return key_; }
      
      // optional int32 intValue = 102;
      public static final int INTVALUE_FIELD_NUMBER = 102;
      private boolean hasIntValue;
      private int intValue_ = 0;
      public boolean hasIntValue() { return hasIntValue; }
      public int getIntValue() { return intValue_; }
      
      // optional double doubleValue = 103;
      public static final int DOUBLEVALUE_FIELD_NUMBER = 103;
      private boolean hasDoubleValue;
      private double doubleValue_ = 0D;
      public boolean hasDoubleValue() { return hasDoubleValue; }
      public double getDoubleValue() { return doubleValue_; }
      
      // optional string stringValue = 104;
      public static final int STRINGVALUE_FIELD_NUMBER = 104;
      private boolean hasStringValue;
      private java.lang.String stringValue_ = "";
      public boolean hasStringValue() { return hasStringValue; }
      public java.lang.String getStringValue() { return stringValue_; }
      
      // optional bool booleanValue = 105;
      public static final int BOOLEANVALUE_FIELD_NUMBER = 105;
      private boolean hasBooleanValue;
      private boolean booleanValue_ = false;
      public boolean hasBooleanValue() { return hasBooleanValue; }
      public boolean getBooleanValue() { return booleanValue_; }
      
      private void initFields() {
        type_ = ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.Type.INT;
      }
      public final boolean isInitialized() {
        if (!hasType) return false;
        if (!hasKey) return false;
        return true;
      }
      
      public void writeTo(com.google.protobuf.CodedOutputStream output)
                          throws java.io.IOException {
        getSerializedSize();
        if (hasType()) {
          output.writeEnum(100, getType().getNumber());
        }
        if (hasKey()) {
          output.writeString(101, getKey());
        }
        if (hasIntValue()) {
          output.writeInt32(102, getIntValue());
        }
        if (hasDoubleValue()) {
          output.writeDouble(103, getDoubleValue());
        }
        if (hasStringValue()) {
          output.writeString(104, getStringValue());
        }
        if (hasBooleanValue()) {
          output.writeBool(105, getBooleanValue());
        }
        getUnknownFields().writeTo(output);
      }
      
      private int memoizedSerializedSize = -1;
      public int getSerializedSize() {
        int size = memoizedSerializedSize;
        if (size != -1) return size;
      
        size = 0;
        if (hasType()) {
          size += com.google.protobuf.CodedOutputStream
            .computeEnumSize(100, getType().getNumber());
        }
        if (hasKey()) {
          size += com.google.protobuf.CodedOutputStream
            .computeStringSize(101, getKey());
        }
        if (hasIntValue()) {
          size += com.google.protobuf.CodedOutputStream
            .computeInt32Size(102, getIntValue());
        }
        if (hasDoubleValue()) {
          size += com.google.protobuf.CodedOutputStream
            .computeDoubleSize(103, getDoubleValue());
        }
        if (hasStringValue()) {
          size += com.google.protobuf.CodedOutputStream
            .computeStringSize(104, getStringValue());
        }
        if (hasBooleanValue()) {
          size += com.google.protobuf.CodedOutputStream
            .computeBoolSize(105, getBooleanValue());
        }
        size += getUnknownFields().getSerializedSize();
        memoizedSerializedSize = size;
        return size;
      }
      
      public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter parseFrom(
          com.google.protobuf.ByteString data)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter parseFrom(
          com.google.protobuf.ByteString data,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter parseFrom(byte[] data)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter parseFrom(
          byte[] data,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter parseFrom(java.io.InputStream input)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter parseFrom(
          java.io.InputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter parseDelimitedFrom(java.io.InputStream input)
          throws java.io.IOException {
        Builder builder = newBuilder();
        if (builder.mergeDelimitedFrom(input)) {
          return builder.buildParsed();
        } else {
          return null;
        }
      }
      public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter parseDelimitedFrom(
          java.io.InputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        Builder builder = newBuilder();
        if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
          return builder.buildParsed();
        } else {
          return null;
        }
      }
      public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter parseFrom(
          com.google.protobuf.CodedInputStream input)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter parseFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input, extensionRegistry)
                 .buildParsed();
      }
      
      public static Builder newBuilder() { return Builder.create(); }
      public Builder newBuilderForType() { return newBuilder(); }
      public static Builder newBuilder(ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter prototype) {
        return newBuilder().mergeFrom(prototype);
      }
      public Builder toBuilder() { return newBuilder(this); }
      
      public static final class Builder extends
          com.google.protobuf.GeneratedMessage.Builder<Builder> {
        private ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter result;
        
        // Construct using ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.newBuilder()
        private Builder() {}
        
        private static Builder create() {
          Builder builder = new Builder();
          builder.result = new ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter();
          return builder;
        }
        
        protected ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter internalGetResult() {
          return result;
        }
        
        public Builder clear() {
          if (result == null) {
            throw new IllegalStateException(
              "Cannot call clear() after build().");
          }
          result = new ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter();
          return this;
        }
        
        public Builder clone() {
          return create().mergeFrom(result);
        }
        
        public com.google.protobuf.Descriptors.Descriptor
            getDescriptorForType() {
          return ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.getDescriptor();
        }
        
        public ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter getDefaultInstanceForType() {
          return ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.getDefaultInstance();
        }
        
        public boolean isInitialized() {
          return result.isInitialized();
        }
        public ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter build() {
          if (result != null && !isInitialized()) {
            throw newUninitializedMessageException(result);
          }
          return buildPartial();
        }
        
        private ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter buildParsed()
            throws com.google.protobuf.InvalidProtocolBufferException {
          if (!isInitialized()) {
            throw newUninitializedMessageException(
              result).asInvalidProtocolBufferException();
          }
          return buildPartial();
        }
        
        public ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter buildPartial() {
          if (result == null) {
            throw new IllegalStateException(
              "build() has already been called on this Builder.");
          }
          ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter returnMe = result;
          result = null;
          return returnMe;
        }
        
        public Builder mergeFrom(com.google.protobuf.Message other) {
          if (other instanceof ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter) {
            return mergeFrom((ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter)other);
          } else {
            super.mergeFrom(other);
            return this;
          }
        }
        
        public Builder mergeFrom(ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter other) {
          if (other == ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.getDefaultInstance()) return this;
          if (other.hasType()) {
            setType(other.getType());
          }
          if (other.hasKey()) {
            setKey(other.getKey());
          }
          if (other.hasIntValue()) {
            setIntValue(other.getIntValue());
          }
          if (other.hasDoubleValue()) {
            setDoubleValue(other.getDoubleValue());
          }
          if (other.hasStringValue()) {
            setStringValue(other.getStringValue());
          }
          if (other.hasBooleanValue()) {
            setBooleanValue(other.getBooleanValue());
          }
          this.mergeUnknownFields(other.getUnknownFields());
          return this;
        }
        
        public Builder mergeFrom(
            com.google.protobuf.CodedInputStream input,
            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
            throws java.io.IOException {
          com.google.protobuf.UnknownFieldSet.Builder unknownFields =
            com.google.protobuf.UnknownFieldSet.newBuilder(
              this.getUnknownFields());
          while (true) {
            int tag = input.readTag();
            switch (tag) {
              case 0:
                this.setUnknownFields(unknownFields.build());
                return this;
              default: {
                if (!parseUnknownField(input, unknownFields,
                                       extensionRegistry, tag)) {
                  this.setUnknownFields(unknownFields.build());
                  return this;
                }
                break;
              }
              case 800: {
                int rawValue = input.readEnum();
                ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.Type value = ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.Type.valueOf(rawValue);
                if (value == null) {
                  unknownFields.mergeVarintField(100, rawValue);
                } else {
                  setType(value);
                }
                break;
              }
              case 810: {
                setKey(input.readString());
                break;
              }
              case 816: {
                setIntValue(input.readInt32());
                break;
              }
              case 825: {
                setDoubleValue(input.readDouble());
                break;
              }
              case 834: {
                setStringValue(input.readString());
                break;
              }
              case 840: {
                setBooleanValue(input.readBool());
                break;
              }
            }
          }
        }
        
        
        // required .ru.omnicomm.pegasus.messaging.common.SendRequest.Parameter.Type type = 100;
        public boolean hasType() {
          return result.hasType();
        }
        public ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.Type getType() {
          return result.getType();
        }
        public Builder setType(ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.Type value) {
          if (value == null) {
            throw new NullPointerException();
          }
          result.hasType = true;
          result.type_ = value;
          return this;
        }
        public Builder clearType() {
          result.hasType = false;
          result.type_ = ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.Type.INT;
          return this;
        }
        
        // required string key = 101;
        public boolean hasKey() {
          return result.hasKey();
        }
        public java.lang.String getKey() {
          return result.getKey();
        }
        public Builder setKey(java.lang.String value) {
          if (value == null) {
    throw new NullPointerException();
  }
  result.hasKey = true;
          result.key_ = value;
          return this;
        }
        public Builder clearKey() {
          result.hasKey = false;
          result.key_ = getDefaultInstance().getKey();
          return this;
        }
        
        // optional int32 intValue = 102;
        public boolean hasIntValue() {
          return result.hasIntValue();
        }
        public int getIntValue() {
          return result.getIntValue();
        }
        public Builder setIntValue(int value) {
          result.hasIntValue = true;
          result.intValue_ = value;
          return this;
        }
        public Builder clearIntValue() {
          result.hasIntValue = false;
          result.intValue_ = 0;
          return this;
        }
        
        // optional double doubleValue = 103;
        public boolean hasDoubleValue() {
          return result.hasDoubleValue();
        }
        public double getDoubleValue() {
          return result.getDoubleValue();
        }
        public Builder setDoubleValue(double value) {
          result.hasDoubleValue = true;
          result.doubleValue_ = value;
          return this;
        }
        public Builder clearDoubleValue() {
          result.hasDoubleValue = false;
          result.doubleValue_ = 0D;
          return this;
        }
        
        // optional string stringValue = 104;
        public boolean hasStringValue() {
          return result.hasStringValue();
        }
        public java.lang.String getStringValue() {
          return result.getStringValue();
        }
        public Builder setStringValue(java.lang.String value) {
          if (value == null) {
    throw new NullPointerException();
  }
  result.hasStringValue = true;
          result.stringValue_ = value;
          return this;
        }
        public Builder clearStringValue() {
          result.hasStringValue = false;
          result.stringValue_ = getDefaultInstance().getStringValue();
          return this;
        }
        
        // optional bool booleanValue = 105;
        public boolean hasBooleanValue() {
          return result.hasBooleanValue();
        }
        public boolean getBooleanValue() {
          return result.getBooleanValue();
        }
        public Builder setBooleanValue(boolean value) {
          result.hasBooleanValue = true;
          result.booleanValue_ = value;
          return this;
        }
        public Builder clearBooleanValue() {
          result.hasBooleanValue = false;
          result.booleanValue_ = false;
          return this;
        }
        
        // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.common.SendRequest.Parameter)
      }
      
      static {
        defaultInstance = new Parameter(true);
        ru.omnicomm.pegasus.messaging.common.SendRequestParser.internalForceInit();
        defaultInstance.initFields();
      }
      
      // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.common.SendRequest.Parameter)
    }
    
    // optional int32 sourceId = 1 [default = 0];
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // required int32 messageType = 2;
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 0;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // optional int32 messageTime = 3 [default = 0];
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // optional string instanceId = 4 [default = ""];
    public static final int INSTANCEID_FIELD_NUMBER = 4;
    private boolean hasInstanceId;
    private java.lang.String instanceId_ = "";
    public boolean hasInstanceId() { return hasInstanceId; }
    public java.lang.String getInstanceId() { return instanceId_; }
    
    // optional int32 requestedMessageType = 200;
    public static final int REQUESTEDMESSAGETYPE_FIELD_NUMBER = 200;
    private boolean hasRequestedMessageType;
    private int requestedMessageType_ = 0;
    public boolean hasRequestedMessageType() { return hasRequestedMessageType; }
    public int getRequestedMessageType() { return requestedMessageType_; }
    
    // repeated .ru.omnicomm.pegasus.messaging.common.SendRequest.Parameter filter = 203;
    public static final int FILTER_FIELD_NUMBER = 203;
    private java.util.List<ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter> filter_ =
      java.util.Collections.emptyList();
    public java.util.List<ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter> getFilterList() {
      return filter_;
    }
    public int getFilterCount() { return filter_.size(); }
    public ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter getFilter(int index) {
      return filter_.get(index);
    }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasMessageType) return false;
      for (ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter element : getFilterList()) {
        if (!element.isInitialized()) return false;
      }
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      if (hasInstanceId()) {
        output.writeString(4, getInstanceId());
      }
      if (hasRequestedMessageType()) {
        output.writeInt32(200, getRequestedMessageType());
      }
      for (ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter element : getFilterList()) {
        output.writeMessage(203, element);
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      if (hasInstanceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeStringSize(4, getInstanceId());
      }
      if (hasRequestedMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(200, getRequestedMessageType());
      }
      for (ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter element : getFilterList()) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(203, element);
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest result;
      
      // Construct using ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        if (result.filter_ != java.util.Collections.EMPTY_LIST) {
          result.filter_ =
            java.util.Collections.unmodifiableList(result.filter_);
        }
        ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest other) {
        if (other == ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasInstanceId()) {
          setInstanceId(other.getInstanceId());
        }
        if (other.hasRequestedMessageType()) {
          setRequestedMessageType(other.getRequestedMessageType());
        }
        if (!other.filter_.isEmpty()) {
          if (result.filter_.isEmpty()) {
            result.filter_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter>();
          }
          result.filter_.addAll(other.filter_);
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 34: {
              setInstanceId(input.readString());
              break;
            }
            case 1600: {
              setRequestedMessageType(input.readInt32());
              break;
            }
            case 1626: {
              ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.Builder subBuilder = ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.newBuilder();
              input.readMessage(subBuilder, extensionRegistry);
              addFilter(subBuilder.buildPartial());
              break;
            }
          }
        }
      }
      
      
      // optional int32 sourceId = 1 [default = 0];
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // required int32 messageType = 2;
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 0;
        return this;
      }
      
      // optional int32 messageTime = 3 [default = 0];
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // optional string instanceId = 4 [default = ""];
      public boolean hasInstanceId() {
        return result.hasInstanceId();
      }
      public java.lang.String getInstanceId() {
        return result.getInstanceId();
      }
      public Builder setInstanceId(java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  result.hasInstanceId = true;
        result.instanceId_ = value;
        return this;
      }
      public Builder clearInstanceId() {
        result.hasInstanceId = false;
        result.instanceId_ = getDefaultInstance().getInstanceId();
        return this;
      }
      
      // optional int32 requestedMessageType = 200;
      public boolean hasRequestedMessageType() {
        return result.hasRequestedMessageType();
      }
      public int getRequestedMessageType() {
        return result.getRequestedMessageType();
      }
      public Builder setRequestedMessageType(int value) {
        result.hasRequestedMessageType = true;
        result.requestedMessageType_ = value;
        return this;
      }
      public Builder clearRequestedMessageType() {
        result.hasRequestedMessageType = false;
        result.requestedMessageType_ = 0;
        return this;
      }
      
      // repeated .ru.omnicomm.pegasus.messaging.common.SendRequest.Parameter filter = 203;
      public java.util.List<ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter> getFilterList() {
        return java.util.Collections.unmodifiableList(result.filter_);
      }
      public int getFilterCount() {
        return result.getFilterCount();
      }
      public ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter getFilter(int index) {
        return result.getFilter(index);
      }
      public Builder setFilter(int index, ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter value) {
        if (value == null) {
          throw new NullPointerException();
        }
        result.filter_.set(index, value);
        return this;
      }
      public Builder setFilter(int index, ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.Builder builderForValue) {
        result.filter_.set(index, builderForValue.build());
        return this;
      }
      public Builder addFilter(ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter value) {
        if (value == null) {
          throw new NullPointerException();
        }
        if (result.filter_.isEmpty()) {
          result.filter_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter>();
        }
        result.filter_.add(value);
        return this;
      }
      public Builder addFilter(ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.Builder builderForValue) {
        if (result.filter_.isEmpty()) {
          result.filter_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter>();
        }
        result.filter_.add(builderForValue.build());
        return this;
      }
      public Builder addAllFilter(
          java.lang.Iterable<? extends ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter> values) {
        if (result.filter_.isEmpty()) {
          result.filter_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter>();
        }
        super.addAll(values, result.filter_);
        return this;
      }
      public Builder clearFilter() {
        result.filter_ = java.util.Collections.emptyList();
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.common.SendRequest)
    }
    
    static {
      defaultInstance = new SendRequest(true);
      ru.omnicomm.pegasus.messaging.common.SendRequestParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.common.SendRequest)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_Parameter_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_Parameter_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\030SendRequestMessage.proto\022$ru.omnicomm." +
      "pegasus.messaging.common\"\305\003\n\013SendRequest" +
      "\022\023\n\010sourceId\030\001 \001(\005:\0010\022\023\n\013messageType\030\002 \002" +
      "(\005\022\026\n\013messageTime\030\003 \001(\005:\0010\022\024\n\ninstanceId" +
      "\030\004 \001(\t:\000\022\035\n\024requestedMessageType\030\310\001 \001(\005\022" +
      "L\n\006filter\030\313\001 \003(\0132;.ru.omnicomm.pegasus.m" +
      "essaging.common.SendRequest.Parameter\032\360\001" +
      "\n\tParameter\022N\n\004type\030d \002(\0162@.ru.omnicomm." +
      "pegasus.messaging.common.SendRequest.Par" +
      "ameter.Type\022\013\n\003key\030e \002(\t\022\020\n\010intValue\030f \001",
      "(\005\022\023\n\013doubleValue\030g \001(\001\022\023\n\013stringValue\030h" +
      " \001(\t\022\024\n\014booleanValue\030i \001(\010\"4\n\004Type\022\007\n\003IN" +
      "T\020\001\022\n\n\006DOUBLE\020\002\022\n\n\006STRING\020\003\022\013\n\007BOOLEAN\020\004" +
      "B9\n$ru.omnicomm.pegasus.messaging.common" +
      "B\021SendRequestParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "InstanceId", "RequestedMessageType", "Filter", },
              ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.class,
              ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_Parameter_descriptor =
            internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_descriptor.getNestedTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_Parameter_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_common_SendRequest_Parameter_descriptor,
              new java.lang.String[] { "Type", "Key", "IntValue", "DoubleValue", "StringValue", "BooleanValue", },
              ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.class,
              ru.omnicomm.pegasus.messaging.common.SendRequestParser.SendRequest.Parameter.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  public static void internalForceInit() {}
  
  // @@protoc_insertion_point(outer_class_scope)
}
